## org.eclipse.emf.ecoretools.diagram.edit.parts
Class EDataTypeEditPart.DataTypeFigure

    java.lang.Object
      GradientRectangleFigure
          org.eclipse.emf.ecoretools.diagram.edit.parts.EDataTypeEditPart.DataTypeFigure

Enclosing class:
  EDataTypeEditPart

    public class EDataTypeEditPart.DataTypeFigure

extends GradientRectangleFigure

Constructor Summary
`EDataTypeEditPart.DataTypeFigure()`

Method Summary
`void` `addFromLabel()`
`org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel` `getFigureDataTypeJavaLabel()`
`org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel` `getFigureDataTypeNameLabel()`
`org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel` `getFigureFromLabel()`
`protected void` `outlineShape(org.eclipse.draw2d.Graphics graphics)`
`void` `removeFromLabel()`
`protected void` `setUseLocalCoordinates(boolean useLocalCoordinates)`
`void` `updateFromLabel(java.lang.String text)`
`protected boolean` `useLocalCoordinates()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EDataTypeEditPart.DataTypeFigure

    public EDataTypeEditPart.DataTypeFigure()

Method Detail

### useLocalCoordinates

    protected boolean useLocalCoordinates()

### setUseLocalCoordinates

    protected void setUseLocalCoordinates(boolean useLocalCoordinates)

### getFigureDataTypeNameLabel

    public org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel getFigureDataTypeNameLabel()

### getFigureDataTypeJavaLabel

    public org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel getFigureDataTypeJavaLabel()

### outlineShape

    protected void outlineShape(org.eclipse.draw2d.Graphics graphics)

### addFromLabel

    public void addFromLabel()

### getFigureFromLabel

    public org.eclipse.gmf.runtime.draw2d.ui.figures.WrappingLabel getFigureFromLabel()

### removeFromLabel

    public void removeFromLabel()

### updateFromLabel

    public void updateFromLabel(java.lang.String text)

Copyright 2007 Anyware Technologies. All Rights Reserved.